Support » Plugin: Include Me » Does not work – need to downgrade

  • Resolved asle

    (@asle)


    newest version does not work. I tried to use the define statement in wp-config.php to allow includes from everywhere but it still tries to look for included file in wp-content/include-me. Used WP rollback and installed older version of include-me which works great with latest WordPress 5.7.2 This is a great plugin. Just fix the new version and everyone is happy.

    • This topic was modified 6 months, 1 week ago by asle.
Viewing 8 replies - 1 through 8 (of 8 total)
  • Plugin Author Stefano Lissa

    (@satollo)

    Hi, could you please report the define you added? Be sure to NOT copy from the documentation page otherwise the single quotes will be scrambled.

    It’s not possible to revert to the original version, there are security concerns.

    Stefano.

    Thread Starter asle

    (@asle)

    I added this line manually (not copy from your page) to avoid errors with copying the quotes:

    define('INCLUDE_ME_DIR', '*');

    I get this error then on the page with includes:

    The provided file (code/prosjekt_live.php) does not exist in the inclusion folder (wp-content/include-me - if not customized). This message is shown only to administrators.

    I reverted to version 1.2.2 and include works fine. I am running WordPress 5.7.2 so the old version 1.2.2 seems to work fine.

    • This reply was modified 6 months, 1 week ago by asle.
    • This reply was modified 6 months, 1 week ago by asle.
    • This reply was modified 6 months, 1 week ago by asle.
    Plugin Author Stefano Lissa

    (@satollo)

    Hi, the include me define has been added to the end of wp-config? It should be added just after the db_* deifnitions.

    Thread Starter asle

    (@asle)

    Thanks Stefano! I tried again now, moved the line to right under the db_* definitions and rechecked the quotes. Working fine now with the latest version!
    Great work!

    @satollo, the FAQ and the documentation should specify where the define() needs to be inserted in the wp-config.php. I read the FAQ, added the line to the end of the file, and then observed it didn’t work. Had to come here to read through all these threads. Thanks.

    Plugin Author Stefano Lissa

    (@satollo)

    Thank you!
    On my wp-config.php there is a line reporting:

    “That’s all, stop editing! Happy blogging.”

    which should mark where the file editing is allowed. In the “installation” tab I wrote about the wp-config.php editing, I see it is not well-formatted, I’ll update it.

    Thanks.

    Hi – I’ve tried the define(‘INCLUDE_ME_DIR’, ‘*’); fix and it does work for pages and single posts but it doesn’t work for the Posts page as defined in Settings > Reading Settings. also not working in post category pages

    No errors just an empty text widget.

    Please can you check.

    • This reply was modified 4 months, 1 week ago by elbego.
    • This reply was modified 4 months, 1 week ago by elbego.
Viewing 8 replies - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.